summaryrefslogtreecommitdiff
path: root/tools/push
diff options
context:
space:
mode:
Diffstat (limited to 'tools/push')
-rwxr-xr-xtools/push15
1 files changed, 15 insertions, 0 deletions
diff --git a/tools/push b/tools/push
new file mode 100755
index 00000000..778f770b
--- /dev/null
+++ b/tools/push
@@ -0,0 +1,15 @@
+#!/bin/sh
+
+set -e
+
+(cd plan/data; git push)
+(cd plan; git commit -a -m "Update TODO files" && git push)
+git checkout master
+git merge --no-ff next
+git checkout next
+git rebase master
+git push
+git checkout master
+./acprep -j16 opt upload
+mv *.dmg* build
+git checkout next